fix formatting, add links
authorKenyon Ralph <kenyon@kenyonralph.com>
Mon, 27 Jun 2011 08:37:03 +0000 (01:37 -0700)
committerKenyon Ralph <kenyon@kenyonralph.com>
Mon, 27 Jun 2011 08:37:03 +0000 (01:37 -0700)
xmobar_on_Debian.mdwn

index 622061a..8c99f51 100644 (file)
@@ -1,5 +1,5 @@
-* 20090105 update: I'm running Debian on my main desktop machine now. Here's what I did this time. I was running Ubuntu, and the notes I wrote for that still exist below.
-* 20100315 update: Probably none of these instructions are necessary anymore, since a recent version of [[!debpkg xmobar]] is in the [[Debian]] repositories. Just `sudo aptitude install xmobar` should be sufficient.
+* 20090105 update: I'm running [[Debian]] on my main desktop machine now. Here's what I did this time. I was running Ubuntu, and the notes I wrote for that still exist below.
+* 20100315 update: Probably none of these instructions are necessary anymore, since a recent version of [[!debpkg xmobar]] is in the Debian repositories. Just `sudo aptitude install xmobar` should be sufficient.
 
 I already had [[!debpkg zlib1g-dev]] and [[!debpkg libxft-dev]] installed. zlib1g-dev would be pulled in by [[!debpkg libghc6-zlib-dev]] anyway. Also already used aptitude to install [[!debpkg xmonad]], so that might have pulled in some dependencies necessary for the following steps.
 
@@ -19,11 +19,12 @@ Since Debian sid doesn't have the Haskell X11-xft package, I want to install it
 1. `cd ..`
 
 ### HTTP and zlib
-HTTP and zlib are dependencies of cabal-install.
+[[!hackage HTTP]] and [[!hackage zlib]] are dependencies of cabal-install.
 
-1. `sudo aptitude install libghc6-http-dev libghc6-zlib-dev` # pulls in libghc6-network-dev and libghc6-parsec-dev
+1. `sudo aptitude install libghc6-http-dev libghc6-zlib-dev` # pulls in [[!debpkg libghc6-network-dev]] and [[!debpkg libghc6-parsec-dev]]
+
+Debian squeeze currently doesn't have the required version of [[!debpkg libghc6-http-dev]], so following <http://projects.haskell.org/http/> (or what used to be there):
 
-Debian squeeze currently doesn't have the required version of libghc6-http-dev, so following <http://projects.haskell.org/http/>:
 1. `git clone git://code.galois.com/HTTPbis.git`
 1. `runghc Setup configure --user && runghc Setup build && runghc Setup install`